> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

Returns service status and version. No authentication required.

` GET /health `

Health check

Returns service status and version. No authentication required.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Responses

### ` 200 ` — Service is healthy

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` status `, ` service `, ` version `, ` timestamp `, ` request_id `

  - ` status `: type ` string `

    - example: ` "ok" `

  - ` service `: type ` string `

    - example: ` "hookstream" `

  - ` version `: type ` string `

    - example: ` "0.1.0" `

  - ` timestamp `: type ` string `

    - example: ` "2026-03-07T12:00:00.000Z" `

  - ` request_id `: type ` string `

    - example: ` "abc123" `

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/health' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/health', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/health', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/health", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```